Subject: bug#22495: sleep floating point docs

From: Paul Eggert <[email-masked]>
Date: Sat, 30 Jan 2016 14:18:26 -0800

積丹尼 Dan Jacobson wrote:
> Add:
>
> *GNU sleep will pass that floating number to the system, which might or
>   might not ignore the time indicated after the decimal point.
>
> OR
>
> *GNU sleep will round / truncate? the number into a whole number, before
> sending it to the system.

"sleep" has always been approximate.  If you issue a "sleep X" command, all that 
you can count on is that you sleep for at least X seconds.  We shouldn't 
document the internals of how "sleep" accomplishes this.  That being said, it 
might make sense to say "sleep is approximate", if we're not saying it already.